﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.Foundation;

namespace FlexChartInkDemo.Utils
{
    public class Utilities
    {
        public static List<Point> GenerateLinearBestFit(IEnumerable<Point> points)
        {
            int numPoints = points.Count();
            double meanX = points.Average(point => point.X);
            double meanY = points.Average(point => point.Y);
            double sumXSquared = points.Sum(point => point.X * point.X);
            double sumXY = points.Sum(point => point.X * point.Y);

            var a = (sumXY / numPoints - meanX * meanY) / (sumXSquared / numPoints - meanX * meanX);
            var b = (a * meanX - meanY);

            double a1 = a;
            double b1 = b;
            return points.Select(point => new Point() { X = point.X, Y = a * point.X - b }).ToList();
        }
    }
}
