﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FlexChartInkDemo
{
    public class ChartViewModel : BaseViewModel
    {
        public ObservableCollection<SalesItem> Data { get; private set; }

        private bool allowDraw;
        public bool AllowDraw
        {
            get { return allowDraw; }
            set
            {
                if (allowDraw != value)
                {
                    allowDraw = value;
                    OnPropertyChanged();
                }
            }
        }

        public ChartViewModel()
        {
            AllowDraw = false;
            Data = new ObservableCollection<SalesItem>();
            var countries = "US|India|Japan|China|UK|Italy".Split('|');
            var rnd = new Random();
            for (int i= 0;i<countries.Length;i++)
            {
                var item = new SalesItem
                {
                    Name = countries[i],
                    Sales = rnd.Next(1000, 2000),
                    Expenses = rnd.Next(1000, 2000)
                };
                Data.Add(item);
            }


        }
    }
}
